System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.IServiceProvider

This class provides the default . It implements only run-time support and does not support saved license keys.

Specifies when you can use a licensed object and provides a way of obtaining additional services needed to support licenses running within its domain.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` `` To be added

  When overridden in a derived class, returns a saved license key for the specified type, from the specified resource assembly.

  The for the specified type. This method returns null unless you override it.

  A that represents the type of component. An with the license key.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added

  Gets the requested service, if it is available.

  An instance of the service, or null if the service cannot be found.

  The type of service to retrieve.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Typically, call this method when you set at design time. You must override the property to implement design-time license support.

  When overridden in a derived class, sets a license key for the specified type.

  A that represents the component associated with the license key. The to save for the type of component.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.LicenseUsageMode To be added: an object of type 'LicenseUsageMode' To be added

  When overridden in a derived class, gets a value that specifies when you can use a license.